Get Wallet Balances
curl --request POST \
--url https://dev.api.mufi.app/v1/users/balances \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"referenceId": "<string>"
}
'import requests
url = "https://dev.api.mufi.app/v1/users/balances"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"referenceId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
email: 'jsmith@example.com',
referenceId: '<string>'
})
};
fetch('https://dev.api.mufi.app/v1/users/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address": "<string>",
"type": "Polkadot",
"code": 123,
"message": "<string>",
"generated_at": 123,
"data": [
{
"asset_id": "<string>",
"balance": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"lock": "<string>"
}
]
}
]{
"errors": [
"<string>"
]
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users Endpoints
Get Wallet Balances
Get the balances of a user’s wallets for a given blockchain.
POST
/
v1
/
users
/
balances
Get Wallet Balances
Authorizations
A JWT Access Token obtained from Google Cloud.
Body
application/json
This POST endpoint allows querying a user by email, id, or referenceId. Use only one field per request. If multiple fields are provided, the priority is email, followed by referenceId, and then id.
⌘I